From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/emacs:master commit in: app-emacs/emacs-common/
Date: Sun, 09 Mar 2025 20:51:27 +0000 (UTC) [thread overview]
Message-ID: <1741553454.54693d493bd010d3af14b8e139265cdd1458c6a6.ulm@gentoo> (raw)
commit: 54693d493bd010d3af14b8e139265cdd1458c6a6
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 9 20:36:46 2025 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Mar 9 20:50:54 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/emacs.git/commit/?id=54693d49
app-emacs/emacs-common: Update for "upstream" package changes
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-emacs/emacs-common/emacs-common-9999.ebuild | 34 ++++++++++++++++++++-----
1 file changed, 27 insertions(+), 7 deletions(-)
diff --git a/app-emacs/emacs-common/emacs-common-9999.ebuild b/app-emacs/emacs-common/emacs-common-9999.ebuild
index 85e78f0..a0126ba 100644
--- a/app-emacs/emacs-common/emacs-common-9999.ebuild
+++ b/app-emacs/emacs-common/emacs-common-9999.ebuild
@@ -13,18 +13,31 @@ DESCRIPTION="Common files needed by all GNU Emacs versions"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs"
S="${WORKDIR}/${PN}"
-LICENSE="GPL-3+"
+LICENSE="GPL-2+ GPL-3+"
SLOT="0"
IUSE="games gsettings gui"
DEPEND="games? ( acct-group/gamestat )"
-RDEPEND="${DEPEND}"
-PDEPEND=">=app-editors/emacs-23.1:*"
+RDEPEND="
+ !<app-emacs/emacs-daemon-0.24
+ ${DEPEND}"
+PDEPEND=">=app-editors/emacs-26.1:*"
IDEPEND="gui? ( gsettings? ( dev-libs/glib ) )"
+SITEFILE="10${PN}-gentoo.el"
+
+src_prepare() {
+ default
+ if [[ -n ${EPREFIX} ]]; then
+ sed -i -E -e "s,/(bin|sbin|usr)/,${EPREFIX}&," \
+ subdirs.el.in emacs.initd emacs.service \
+ emacs.desktop emacsclient.desktop || die
+ fi
+}
+
src_install() {
insinto "${SITELISP}"
- sed -e "s:@libdir@:$(get_libdir):g" subdirs.el.in | newins - subdirs.el
+ sed "s,@libdir@,$(get_libdir),g" subdirs.el.in | newins - subdirs.el
pipestatus || die
newins site-gentoo.el{,.orig}
@@ -33,8 +46,13 @@ src_install() {
doins site-start.el
exeinto /etc/user/init.d
- sed -e "s,/usr/bin/emacs,${EPREFIX}&," emacs.initd | newexe - emacs
- pipestatus || die
+ newexe emacs.initd emacs
+ exeinto /usr/libexec/emacs
+ doexe emacs-wrapper.sh
+ elisp-site-file-install "${SITEFILE}"
+
+ insinto /usr/lib/systemd/user
+ doins emacs.service
if use games; then
keepdir /var/games/emacs
@@ -67,7 +85,7 @@ src_install() {
dodoc README.daemon
local DOC_CONTENTS DISABLE_AUTOFORMATTING=1
- DOC_CONTENTS=$(sed -e "s:@SITELISP@:${EPREFIX}${SITELISP}:g" \
+ DOC_CONTENTS=$(sed "s,@SITELISP@,${EPREFIX}${SITELISP},g" \
README.gentoo.in) || die
readme.gentoo_create_doc
}
@@ -96,6 +114,7 @@ pkg_preinst() {
}
pkg_postinst() {
+ elisp-site-regen
if use gui; then
xdg_desktop_database_update
xdg_icon_cache_update
@@ -105,6 +124,7 @@ pkg_postinst() {
}
pkg_postrm() {
+ elisp-site-regen
if use gui; then
xdg_desktop_database_update
xdg_icon_cache_update
next reply other threads:[~2025-03-09 20:51 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-09 20:51 Ulrich Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-22 16:26 [gentoo-commits] repo/proj/emacs:master commit in: app-emacs/emacs-common/ Ulrich Müller
2025-03-17 21:20 Ulrich Müller
2025-03-10 11:33 Ulrich Müller
2025-03-10 11:10 Ulrich Müller
2025-03-08 7:43 Ulrich Müller
2025-03-08 7:43 Ulrich Müller
2025-03-08 6:32 Ulrich Müller
2025-03-07 18:36 Ulrich Müller
2024-12-14 17:47 Ulrich Müller
2023-07-24 18:07 Ulrich Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1741553454.54693d493bd010d3af14b8e139265cdd1458c6a6.ulm@gentoo \
--to=ulm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox